/************************************
*	In The Name Of Allah			*
*	By Farhang Saeedi				*
*	mail:Saeedi.Farhang@gmail.com 	*
*	Phone:09116258772				*
*************************************/
/*** start FarsaADK css ***/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
}
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}
blockquote, q , .blockquote {
    quotes: none;
    margin:5px 2px 5px 0px;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}
a {
    text-decoration: none;
}
a:hover {
    text-decoration: none;
}

abbr[title] {}
acronym {}
i, cite, em, var, address, dfn {
    font-style: italic;
}
s, strike, del {
    text-decoration: line-through;
}
u {
    text-decoration: underline;
}
ins {
    background: #78A9D5;
    text-decoration: none;
    color: #FFF;
    padding: 0 3px;
}
address {
    margin-bottom: 22px;
}
code {
    background: #eeeeee;
    padding: 0 4px;
    color: #dd1144;
    box-shadow: 0 0 0 1px #dadada;
}
pre {
    padding: 11px;
    background: #eeeeee;
    box-shadow: 0 0 0 1px #dadada;
    display: block;
    word-break: break-all;
    word-wrap: break-word;
    white-space: pre;
    white-space: pre-wrap;
    margin: 0 0 23px;
    font-size: 14px;
    line-height: 23px;
}

/* FarsaADK basic css */

.hidden , .hide {
    display: none;
}

.hide-scrollbar , .scrollbar-hide ,
.hide-scrollbars , .scrollbars-hide ,
.no-scrollbar , .scrollbar-no ,
.no-scrollbars , .scrollbars-no {
    overflow-y: scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */

    &::-webkit-scrollbar {
        display: none;
    }

    &::-webkit-scrollbar-track {
        background: transparent;
    }

    &::-webkit-scrollbar-thumb {
        background-color: transparent;
    }

}
.hide-scrollbar::-webkit-scrollbar , .scrollbar-hide::-webkit-scrollbar ,
.hide-scrollbars::-webkit-scrollbar , .scrollbars-hide::-webkit-scrollbar ,
.no-scrollbar::-webkit-scrollbar , .scrollbar-no::-webkit-scrollbar ,
.no-scrollbars::-webkit-scrollbar , .scrollbars-no::-webkit-scrollbar {
    display: none;
}

/****** Tools ******/
.ltr{ direction: ltr ; }
.rtl{ direction: rtl ; }

.float_left{ float: left ; }
.float_right{ float: right ; }
.float_start{ float: inline-start ; }
.float_end{ float: inline-end ; }

.align_left{ text-align: left ; }
.align_right{ text-align: right ; }
.align_start{ text-align: start ; }
.align_end{ text-align: end ; }
.align_center{ text-align: center ; }

.font-1em { font-size: 1em;}
.font-1-5em { font-size: 1.5em;}
.font-2em { font-size: 2em;}
.font-2-5em { font-size: 2.5em;}
.font-3em { font-size: 3em;}
.font-3-5em { font-size: 3.5em;}
.font-4em { font-size: 4em;}
.font-4-5em { font-size: 4.5em;}
.font-5em { font-size: 5em;}
.font-10px { font-size: 10px;}
.font-11px { font-size: 11px;}
.font-12px { font-size: 12px;}
.font-13px { font-size: 13px;}
.font-14px { font-size: 14px;}
.font-15px { font-size: 15px;}
.font-16px { font-size: 16px;}
.font-17px { font-size: 17px;}
.font-18px { font-size: 18px;}
.font-19px { font-size: 19px;}
.font-20px { font-size: 20px;}
.font-21px { font-size: 21px;}
.font-22px { font-size: 22px;}
.font-23px { font-size: 23px;}
.font-24px { font-size: 24px;}
.font-25px { font-size: 25px;}
.font-26px { font-size: 26px;}
.font-27px { font-size: 27px;}
.font-28px { font-size: 28px;}
.font-29px { font-size: 29px;}
.font-30px { font-size: 30px;}

.font-bold{ font-weight: bold;}
.font-bolder{ font-weight: bolder;}

.wp5{width: 5%; }
.wp10{width: 10%; }
.wp15{width: 15%; }
.wp20{width: 20%; }
.wp25{width: 25%; }
.wp30{width: 30%; }
.wp35{width: 35%; }
.wp40{width: 40%; }
.wp45{width: 45%; }
.wp50{width: 50%; }
.wp55{width: 55%; }
.wp60{width: 60%; }
.wp65{width: 65%; }
.wp70{width: 70%; }
.wp75{width: 75%; }
.wp80{width: 80%; }
.wp85{width: 85%; }
.wp90{width: 90%; }
.wp95{width: 95%; }
.wp100{width: 100%; }

.hp5{height: 5%; }
.hp10{height: 10%; }
.hp15{height: 15%; }
.hp20{height: 20%; }
.hp25{height: 25%; }
.hp30{height: 30%; }
.hp35{height: 35%; }
.hp40{height: 40%; }
.hp45{height: 45%; }
.hp50{height: 50%; }
.hp55{height: 55%; }
.hp60{height: 60%; }
.hp65{height: 65%; }
.hp70{height: 70%; }
.hp75{height: 75%; }
.hp80{height: 80%; }
.hp85{height: 85%; }
.hp90{height: 90%; }
.hp95{height: 95%; }
.hp100{height: 100%; }
.f-spinner-xxs {
    position: 		absolute;
    border: 		4px solid #5475b7;
    border-radius: 	50%;
    border-top: 	4px solid #545c6d;
    border-bottom: 	4px solid #545c6d;
    border-left: 	4px solid transparent;
    border-right: 	4px solid transparent;
    width: 	20px;
    height: 20px;
    -webkit-animation: spinloader 0.8s infinite;
    animation: spinloader 0.8s infinite;
}

.f-spinner-xs {
    position: 		absolute;
    border: 		9px solid #5475b7;
    border-radius: 	50%;
    border-top: 	9px solid #545c6d;
    border-bottom: 	9px solid #545c6d;
    border-left: 	9px solid transparent;
    border-right: 	9px solid transparent;
    width: 	45px;
    height: 45px;
    -webkit-animation: spinloader 0.8s infinite;
    animation: spinloader 0.8s infinite;
}

.f-spinner-sm {
    position: 		absolute;
    border: 		13px solid #5475b7;
    border-radius: 	50%;
    border-top: 	13px solid #545c6d;
    border-bottom: 	13px solid #545c6d;
    border-left: 	13px solid transparent;
    border-right: 	13px solid transparent;
    width: 	75px;
    height: 75px;
    -webkit-animation: spinloader 0.8s infinite;
    animation: spinloader 0.8s infinite;
}

.f-spinner {
    position: 		absolute;
    border: 		16px solid #5475b7;
    border-radius: 	50%;
    border-top: 	16px solid #545c6d;
    border-bottom: 	16px solid #545c6d;
    border-left: 	16px solid transparent;
    border-right: 	16px solid transparent;
    width: 110px;
    height: 110px;
    -webkit-animation: spinloader 0.8s infinite;
    animation: spinloader 0.8s infinite;
}

@-webkit-keyframes spinloader {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spinloader {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
/* The snackbar - position it at the bottom and in the middle of the screen */
#f-snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    background-color: #333; /* Black background color */
    border: 2px solid white;
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 1px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1000000; /* Add a z-index if needed */
    left: 7.5px; /* Center the snackbar */
    top: 7.5px; /* 30px from the bottom */
}

/* The snackbar - position it at the bottom and in the middle of the screen */
#f-snackbar-bottom {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    background-color: #333; /* Black background color */
    border: 2px solid white;
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 1px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1000000; /* Add a z-index if needed */
    right: 7.5px; /* Center the snackbar */
    bottom: 7.5px; /* 30px from the bottom */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#f-snackbar.show {
    visibility: visible; /* Show the snackbar */
    /* Add animation: Take 0.5 seconds to fade in and out the snackbar.
    However, delay the fade out process for 2.5 seconds */
    -webkit-animation: f-snakbar_fadein 0.5s, f-snakbar_fadeout 0.5s 2.5s;
    animation: f-snakbar_fadein 0.5s, f-snakbar_fadeout 0.5s 2.5s;
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#f-snackbar-bottom.show {
    visibility: visible; /* Show the snackbar */
    /* Add animation: Take 0.5 seconds to fade in and out the snackbar.
    However, delay the fade out process for 2.5 seconds */
    -webkit-animation: f-snakbar_fadein-bottom 0.5s, f-snakbar_fadeout-bottom 0.5s 2.5s;
    animation: f-snakbar_fadein-bottom 0.5s, f-snakbar_fadeout-bottom 0.5s 2.5s;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes f-snakbar_fadein {
    from {top: 0; opacity: 0;}
    to {top: 7.5px; opacity: 1;}
}

@keyframes f-snakbar_fadein {
    from {top: 0; opacity: 0;}
    to {top: 7.5px; opacity: 1;}
}

@-webkit-keyframes f-snakbar_fadeout {
    from {top: 7.5px; opacity: 1;}
    to {top: 0; opacity: 0;}
}

@keyframes f-snakbar_fadeout {
    from {top: 7.5px; opacity: 1;}
    to {top: 0; opacity: 0;}
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes f-snakbar_fadein-bottom {
    from {bottom: 0; opacity: 0;}
    to {bottom: 7.5px; opacity: 1;}
}

@keyframes f-snakbar_fadein-bottom {
    from {bottom: 0; opacity: 0;}
    to {bottom: 7.5px; opacity: 1;}
}

@-webkit-keyframes f-snakbar_fadeout-bottom {
    from {bottom: 7.5px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

@keyframes f-snakbar_fadeout-bottom {
    from {bottom: 7.5px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

/*** f-navbar ***/

nav.f-navbar{
    width: 100%;
    position: fixed;
    left: 0px;
    top: 0px;
    right: 0px;
    z-index: 2000;
    padding: 0px;
    margin: 0px;
    border-bottom: 1px solid gray;
}

nav.f-navbar .main-nav {
    width: 100%;
}

/** botstrap override **/
nav.f-navbar .container-fluid{
    padding-left: 7.5px;
    padding-right: 7.5px;
}
nav.f-navbar .collapse.navbar-collapse {
    padding: 0px;
    margin: 0px;
}

nav.f-navbar .main-nav > ul {
    margin-bottom: 0;
    padding: 0;
}

nav.f-navbar .main-nav > ul.rtl ,
nav.f-navbar .main-nav.rtl > ul {
    direction: rtl;
    float: right;
}

nav.f-navbar .main-nav > ul li {
    position: relative;
}

nav.f-navbar .main-nav > ul > li {
    float: left;
    text-transform: uppercase;
    text-align: center;
}

nav.f-navbar .main-nav > ul > li a {
    -webkit-transition: background 0.4s ease-in-out;
    -moz-transition:    background 0.4s ease-in-out;
    -o-transition:      background 0.4s ease-in-out;
    -ms-transition:     background 0.4s ease-in-out;
    transition:         background 0.4s ease-in-out;
    text-decoration: none;
}

nav.f-navbar .main-nav > ul > li > a {
    cursor: pointer;
    display: inline-block;
    color: #5890a5;
    padding: 21px 33px;
    border-bottom: 3px solid transparent;
}

nav.f-navbar .main-nav > ul > li > a:hover,
nav.f-navbar .main-nav > ul > li:hover > a,
nav.f-navbar .main-nav > ul > li ul a:hover {
    color: #ffffff;
    background: #99D9F2;
    border-bottom-color: #f487af;
}

nav.f-navbar .main-nav > ul > li a:hover + ul,
nav.f-navbar .main-nav > ul > li a + ul:hover {
    display: block;
}

nav.f-navbar .main-nav > ul > li ul {
    padding: 0;
    position: absolute;
    background: #ffffff;
    display: none;
    z-index: 100;
    margin-top: -2px;
    box-shadow: 0 2px 2px rgba(0,0,0,0.1);
    border-top: 2px solid #f487af;
}

nav.f-navbar .main-nav > ul > li li {
    width: 220px;
}

nav.f-navbar .main-nav > ul > li ul a {
    padding: 11px;
    display: block;
    color: #5890a5;
    text-transform: capitalize;
}

nav.f-navbar .main-nav > ul > li > ul ul {
    top: 0;
    left: 100%;
    padding: 0;
}

nav.f-navbar .main-nav.rtl > ul > li > ul ul ,
nav.f-navbar .main-nav > ul > li > ul ul.rtl {
    top: 0;
    left: -100%;
}

/*** Mega Menu Mode ***/
nav.f-navbar .main-nav .mega-menu > ul {
    position: relative;
}

nav.f-navbar .main-nav .mega-menu > ul > li {
    position: static;
}

nav.f-navbar .main-nav .mega-menu > ul > li ul {
    background: #eeeeee;
    padding: 10px;
    left: 0;
    right: 0;
}

nav.f-navbar .main-nav .mega-menu > ul > li > ul > li {
    float: left;
}

nav.f-navbar .main-nav .mega-menu > ul > li ul ul {
    display: block;
    position: static;
    padding: 0;
    padding-left: 3px;
    border-left: 1px solid white;
}

nav.f-navbar .main-nav .mega-menu > ul >  li .menu-item-has-children > a {
    background: white;
}

nav.f-navbar .main-nav > ul > li .menu-item-has-children > a:after {
    content: "\e7f4";
    position: absolute;
    right: 12px;
    color: #eeeeee;
    font-weight: 200;
}

nav.f-navbar .main-nav > ul > li .menu-item-has-children > a:hover:after {
    color: #5890A5;
}

nav.f-navbar .main-nav > ul > .current-menu-item > a,
nav.f-navbar .main-nav > ul:hover .current-menu-item:hover > a {
    background: #99D9F2;
    color: #ffffff;
    border-bottom-color: #f487af;
}

nav.f-navbar .main-nav > ul:hover .current-menu-item > a {
    background: none;
    color: #5890A5;
}

/*** Logo ***/
nav.f-navbar .logo {
    height: 60px;
    margin-bottom: 0;
}

nav.f-navbar .logo:before {
    content: '';
    display: inline-block;
    vertical-align: middle;
    height: 100%;
}

nav.f-navbar .logo img{
    width:41.5px;
    height:41.5px;
}

nav.f-navbar .logo a {
    display: inline-block;
    vertical-align: middle;
    height: auto;
    width: auto;
    max-height: 100%;
    max-width: 96%;
}


/*** Mobile View Buttons ***/
body > .main-nav {
    height:100%;
    z-index:20000;
    padding-top: 5px;
    overflow-y: auto;
}

.main-nav .mobile-menu-button {
    padding-top: 5px;
    padding-right: 5px;
    padding-left: 5px;
    opacity: 1;
    border-radius: 20px;
    background-color: white;
    box-shadow: 0px 0px 10px black;
}

.main-nav .mobile-menu-button hr {
    opacity: 1;
    box-shadow: 0px 0px 1px black;
}

@media (max-width: 992px) {

    body > .main-nav {
        position: fixed;
        top: 0;
        left: -220px;
        bottom: 0;
        height: 100%;
        padding-top: 66px;
        width: 220px;
        background: #333333;
        overflow: hidden;
        -webkit-box-shadow: inset 0 0 30px rgba(0,0,0,0.4);
        box-shadow:         inset 0 0 30px rgba(0,0,0,0.4);
        -webkit-user-select:  none;
        -moz-user-select:     none;
        -ms-user-select:      none;
        -o-user-select:       none;
        user-select:          none;
        overflow-y: scroll;
    }

    body > .main-nav > ul > li > a + ul {
        position: static;
    }

    body > .main-nav > ul > li > a:hover + ul {
        display: none;
    }

    body > .main-nav > ul > li > .menu-items-active-mob {
        display: block !important;
    }

    .link-items-active-mob {
        background: #99D9F2 !important;
        color: #ffffff !important;
    }

    .main-nav.active-menu {
        left: 0;
    }

    .main-nav .nav-bar {
        display: block;
    }

    body.menu-effect .boxed-view {
        overflow: hidden;
    }

    body.menu-effect .boxed-view > section,
    body.menu-effect .boxed-view > footer {
        -webkit-transition: all 0.4s ease;
        -moz-transition:    all 0.4s ease;
        -ms-transition:     all 0.4s ease;
        transition:         all 0.4s ease;
        -webkit-transform: translate(220px,0) !important;
        -moz-transform:    translate(220px,0) !important;
        -ms-transform:     translate(220px,0) !important;
        transform:         translate(220px,0) !important;
        position: relative;
    }

    body > .main-nav > ul,
    body > .main-nav > ul > li {
        float: none;
    }

    body > .main-nav > ul > li > a {
        display: block;
        background: rgba(0,0,0,0.3);
        padding: 11px;
        border-bottom-color: rgba(255,255,255,0.1);
    }

    body .mobile-menu-button {
        display: block;
        width: 40px;
        height: 40px;
        margin: 0px;
        border: 2px solid;
        font-size: 24px;
        position: absolute;
        right: 23px;
        top: 0px;
        bottom: 0px;
        margin: auto;
        text-align: center;
        line-height: 36px;
    }

    .mobile-menu-button:hover {
        text-decoration: none;
    }
}

.main-nav .d-grid.gap-2{
    margin: 0px;
}

.main-nav .btn-menu-item {
    text-align: start;
    background-color: transparent;
    animation-duration: 1s;
    transition-duration: 1s;
    border-radius: 0px;
    border: none;

}

.main-nav .active > .btn-menu-item {
    background-color: transparent;
    text-align: center;
    border-radius: 0px;
    border: none;
    animation-duration: 1s;
    transition-duration: 1s;
}

/****** components *******/

/*** Spinners ***/

/*** Snakbars ***/

/*** NavBars ***/

.f-checkbox {
    min-height: 1rem;
    padding-left: 0;
    margin-right: 0;
    cursor: pointer;
}
.f-checkbox .custom-control-indicator {
    content: "";
    display: inline-block;
    position: relative;
    width: 30px;
    height: 10px;
    background-color: #818181;
    border-radius: 15px;
    margin-right: 10px;
    -webkit-transition: background .3s ease;
    transition: background .3s ease;
    vertical-align: middle;
    margin: 0 16px;
    box-shadow: none;
}
.f-checkbox .custom-control-indicator:after {
    content: "";
    position: absolute;
    display: inline-block;
    width: 18px;
    height: 18px;
    background-color: #f1f1f1;
    border-radius: 21px;
    box-shadow: 0 1px 3px 1px rgba(0, 0, 0, 0.4);
    left: -2px;
    top: -4px;
    -webkit-transition: left .3s ease, background .3s ease, box-shadow .1s ease;
    transition: left .3s ease, background .3s ease, box-shadow .1s ease;
}
.f-checkbox .custom-control-input:checked ~ .custom-control-indicator {
    background-color: #84c7c1;
    background-image: none;
    box-shadow: none !important;
}
.f-checkbox .custom-control-input:checked ~ .custom-control-indicator:after {
    background-color: #84c7c1;
    left: 15px;
}
.f-checkbox .custom-control-input:focus ~ .custom-control-indicator {
    box-shadow: none !important;
}

/* End FarsaADK css */